PUT Api/Inspection/{id}/InExecution

URI Example

PUT Api/Inspection/{id}/InExecution

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

None.

Resource Description

InspectionResource
NameDescriptionTypeAdditional information
Id

integer

None.

Type

InspectionType

None.

BuildingId

integer

None.

InspectionDate

date

None.

InspectionNumber

integer

None.

ContactPerson

string

None.

InspectionStateId

integer

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "type": 0,
      "buildingId": 2,
      "inspectionDate": "2026-10-29T13:04:07.0677097+01:00",
      "inspectionNumber": 1,
      "contactPerson": "sample string 4",
      "inspectionStateId": 5,
      "isBlocked": true,
      "updateDate": "2026-10-29T13:04:07.0677097+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }